class_name RemoveTrapModal extends ConfirmationDialog

var square : Vector3i

func button_pressed(event : InputEventAction) -> void:
	match(event.action):
		"detonate": 
			Game.player.remove_trap_at(square)
			Game.player.close_modal()
		"attack":
			Game.player.close_modal()
		_: return
